Qikberry API Docs
SMSWhatsapp Cloud API
RCS for BusinessVMNVerifyIntegrations
SMSWhatsapp Cloud API
RCS for BusinessVMNVerifyIntegrations
Qikberry.AI
App
  1. Interactive
  • Introduction
  • Catalog Messages
  • Payment Messages
  • Non-templates messages
    • Interactive
      • URL button
        POST
      • List buttons
        POST
      • Media carousel
        POST
      • Reply buttons
        POST
    • Address
      POST
    • Audio
      POST
    • Document
      POST
    • Contacts
      POST
    • Image
      POST
    • Location
      POST
    • Video
      POST
    • Text
      POST
  1. Interactive

URL button

POST
https://rest.qikberry.ai/v1/whatsapp/messages

Call-To-Action (CTA) URL Button Messages#

A CTA URL Button Message allows businesses to add a button that redirects customers to a website when clicked.
It is commonly used for:
Order tracking
Product pages
Payment links
Registration forms
interactive_img.png
Interactive Message
The URL button can contain:
Static URL – Opens the same website link for all customers.
Dynamic URL – Adds customer-specific values to the URL while sending the message.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
The request was successfully accepted for processing. The response returns a confirmation message along with the unique message ID and the recipient's WhatsApp number.
Bodyapplication/json

🟠401Unauthorized
🟠400Bad Request
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://rest.qikberry.ai/v1/whatsapp/messages' \
--header 'x-phone-number: <WA_ID>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "to": "<USER_PHONE_NUMBER>",
    "type": "interactive",
    "interactive": {
        "type": "cta_url",
        "header": {
            "type": "image",
            "image": {
                "link": "<IMAGE_URL>"
            }
        },
        "body": {
            "text": "Hi this is from qikberry"
        },
        "action": {
            "name": "cta_url",
            "parameters": {
                "display_text": "open link",
                "url": "<URL>"
            }
        },
        "footer": {
            "text": "Qikberry private limited"
        }
    }
}'
Response Response Example
200 - SUCCESS
{
    "message": "1 numbers accepted",
    "data": [
        {
            "messageId": "<MESSAGE_ID>",
            "mobile": "<USER_PHONE_NUMBER>"
        }
    ]
}
Modified at 2026-07-29 10:58:52
Previous
Payment Messages
Next
List buttons
Built with